meridian-shaft Jump to content
Forums

Après une mise à jour puis un redémarrage, ma souris ne fonctionne plus


Solved

Recommended Posts

il y a 6 minutes, labricole59 a dit :

Je reviens avec la dernière capture d'écran :

 

Capture d’écran_2021-03-08_11-44-29.png

Normalement, tu devrais pouvoir redémarrer ta machine et ta souris devrait fonctionner, il faut essayer et si c'est en ordre on va bloquer la mise à jour des noyaux avec synaptic. Dans le terminal tu tapes la commande suivante

reboot

Ta machine va redémarrer et dis-moi si tu as accès à ta souris.

Peut-être que tu n'auras plus d'accès a "grub" parce que tu as un seul noyau, si c'est le cas et que ta souris fonctionne c'est pas grave autrement nous irons rechercher le multiboot après.

Link to comment
il y a 9 minutes, labricole59 a dit :

J'ai redémarré, j'ai eu accès au grub, mais quand je sélectionne  options avancées, il ne reste qu'un choix possible :

la version 5.0.0.32-generic.

Et ma souris fonctionne parfaitement.

C'est normal qu'il ne reste que la version 5.0.0-32, les autres ont vient de les enlever. Pour ne plus être embêté maintenant avec une nouvelle version du noyau, on va les bloquer dans synaptic, je vais te préparer quelques captures d'écran et t'expliquer comment faire mais je ne peux pas tout de suite, je reviens dans un moment.

Link to comment

Pour bloquer les mises à jour du noyau on va utiliser synaptic pour ça tu vas rechercher le gestionnaire de paquet, sur la capture d'écran c'est une machine virtuelle, mais c'est identique chez toi

Synaptic.thumb.png.9bc74842a800295f90eb63bdb5810e33.png

Ensuite tu ouvres synaptic et tu recherches ton noyau, tu trouveras sous catégorie, noyau et module le noyau installé, sur la capture d'écran c'est sur ma machine, chez toi tu ne vas pas avoir le même c'est normal

476120138_Capturedcrandu2021-03-0814-22-10.thumb.png.3c8ae2c1446ee76127ddcda4bc512e93.png

Ensuite tu les sélectionnes tous et tu bloques la version

Bloquer_version.thumb.png.df38858b46e7b20d10610c84eb40867d.png

Fais-déjà ceci est on verra ensuite pour installer un autre noyau si nécessaire

Edited by Tulburite
Link to comment
il y a 16 minutes, labricole59 a dit :

J'ai bien trouvé mon noyau dans le gestionnaire de paquets  ( voir capture d'écran ci-dessous )  mais je ne comprends pas à ce stade ce que je dois faire. Tu écris sélectionner les tous ?  

Capture d’écran_2021-03-08_16-25-42.png

Oui c'est comme je te dis, moi j'ai des autres noyaux, toi normalement tu devrais avoir au minimum

Linux-images-generic 5.0.0-32 34, linux-modules 5.0.0-32 34 et linux-modules-extra 5.0.0-32 34 et peut-être encore d'autres. tu les sélectionnes tous et tu bloques la version comme sur ma capture d'écran.

Si tu ne les as pas, tu devrais les installer et les bloquer par la suite.

N'oublies pas de faire défiler le curseur à droite pour les voir

Edited by Tulburite
Link to comment
il y a 18 minutes, labricole59 a dit :

Voilà, c'est fait.

 

Super, donc tu as réussi à bloquer la mise à jour des noyaux ? installer Linux-images-generic 5.0.0-32 34, linux-modules 5.0.0-32 34 et linux-modules-extra 5.0.0-32 34 ou il étaient déjà installés ?

Je pars du principe que maintenant la mise à jour du noyau est bloquée, pour en être certain essaie de taper dans le terminal

sudo apt update

sudo apt upgrade

Attention tu ne réponds pas par oui en faisant upgrade car si tout n'est pas bloqué tu vas faire une mise à jour du noyau et il faudra tout recommencé

Reviens avec une capture d'écran du terminal avec la dernière commande et son retour

Link to comment
il y a 1 minute, labricole59 a dit :

Capture d’écran_2021-03-08_18-35-33.png

Capture d’écran_2021-03-08_18-37-28.png

Super, logiquement tu ne vas plus avoir de mise à jour du noyau, donc plus de problème de souris. Seulement avoir qu'un seul noyau n'est pas l'idéal si tu as pour je ne sais quelle raison ton noyau qui deviendrais corrompu, je te propose d'installer manuellement un autre noyau via soit un terminal ou synaptic, peut importe.

As-tu dans la quantité que tu as de noyau sous ton gestionnaire de paquet un noyau genre 5.0.0.32 xx (le xx doit être supérieur à 34) afin de pouvoir l'installer ? je ne peux pas regarder cher moi car je n'ai pas la 19.3 qui est basée sur la 18.04.2 d'Ubuntu. Le mieux tu me fais une capture d'écran. Cette phase est très importante car on ne peut pas mettre n’importe quel noyaux car le tiens correspond à la deuxième mise à jour de la version d'Ubuntu 18.02.2 

Bon tu ne m'a toujours pas répondu, as-tu du installer linux-modules 5.0.0-32 34 et linux-modules-extra 5.0.0-32 34

Link to comment
Posted (edited)

Au total, j'ai bloqué 10 lignes de linux modules dont les deux que tu me désignes :

-  Linux modules extra 5.0.0-32ge 5.0.0-32.34

- Linux modules. 5.0.0-32 generic - 5.0.0-32.34

Pour répondre à ta question concernant la présence d'un noyau avec le dernier chiffre supérieur à 34, hélas non je n'ai pas trouvé ce genre de noyau.

Et le gestionnaire de mises à jour me signale toujours l'installation d'un nouveau noyau

Edited by labricole59
Link to comment

Au total, j'ai bloqué 10 lignes de linux modules dont les deux que tu me désignes ???

C'est pas normal 10, j'espère qu'en voulant bloquer ceux de ton noyau tu en as pas installé d'autre(s)

Relance dans un terminal la commande ci-dessous et poste moi une capture d'écran du retour

dpkg -l | awk '!/^rc/ && / linux-(c|g|h|i|lo|m|si|t)/{print $1,$2,$3,$4 | "sort -k3V | column -t"}' ; echo -e "\nNoyau courant : $(uname -mr)"
Edited by Tulburite
Link to comment

Ok, lance dans un terminal

sudo apt purge linux-headers-5.0.0-32-generic linux-headers-5.0.0-32

Ensuite

sudo update-grub

et pour terminer

dpkg -l | awk '!/^rc/ && / linux-(c|g|h|i|lo|m|si|t)/{print $1,$2,$3,$4 | "sort -k3V | column -t"}' ; echo -e "\nNoyau courant : $(uname -mr)"

Reviens avec une capture d'écran

 

 

Edited by Tulburite
Link to comment
il y a 3 minutes, labricole59 a dit :

Ok, merci.

Mais que dois je faire avec le gestionnaire de mise à jour qui m'indique la mise à jour disponible d'un nouveau noyau ?

Il ne faut surtout pas installer mais je trouve étrange que le gestionnaire te demande une mise à jour du noyau et avec le terminal ces mises à jour ne soit pas visible.

Je vois qu'une raison, c'est que tu as installé la 19.3 et qu'à un moment tu as voulu volontairement ou pas faire une mise à niveau de la distribution, ce qui signifie que tu as une partie des paquets de la 20.1 et une autre de 19.3.

Pour le moment il faut l'utiliser comme ça et de mon côté de vais installer avec une machine virtuelle une MInt 19.3 et voir si je trouve quelques choses.

Link to comment

Oui, je me souviens vaguement avoir effectué une mise à niveau vers la 20.1

Mais ensuite, j'ai essayé plusieurs distributions .

Au final j'ai réinstallé la 19.3 à partir d'une clé USB donc je suppose qu'avant cette installation le disque dur est formaté, et donc toutes les traces de la 20.1 ont dû disparaitre ?

Link to comment
il y a 23 minutes, labricole59 a dit :

Oui, je me souviens vaguement avoir effectué une mise à niveau vers la 20.1

Mais ensuite, j'ai essayé plusieurs distributions .

Au final j'ai réinstallé la 19.3 à partir d'une clé USB donc je suppose qu'avant cette installation le disque dur est formaté, et donc toutes les traces de la 20.1 ont dû disparaitre ?

Non si tu ne le formates pas, il ne se formate pas forcement, bon je suis entrain d'installer une 19.3 en virtuelle est je regarde déjà la version du noyau et je reviens vers toi

Link to comment
il y a 23 minutes, Tulburite a dit :

Non si tu ne le formates pas, il ne se formate pas forcement, bon je suis entrain d'installer une 19.3 en virtuelle est je regarde déjà la version du noyau et je reviens vers toi

Dans le gestionnaire des mises à jour. il suffit de faire clic de droite sur la mise à jour du noyau et de ne plus la demander, je viens de le faire sur ma VM

Link to comment
il y a 11 minutes, Tulburite a dit :

Dans le gestionnaire des mises à jour. il suffit de faire clic de droite sur la mise à jour du noyau et de ne plus la demander, je viens de le faire sur ma VM

Elle est bien cette distribution, regarde un peu cette capture d'écran en faisant clic de droite sur le gestionnaire de mise à jour

484711001_Capturedcrandu2021-03-0900-43-33.thumb.png.b4dd82af9cd071fb8d54047b8150f4c0.png

Link to comment

Bonjour @labricole59

Résumé de la situation,

J'ai téléchargé et installé la distribution Mint 19.3 sur une machine virtuelle, pas de souci d'installation tout fonctionne à merveille et ensuite j'ai lancé la mise à jour directement avec le terminal. Tout c'est passé à merveille.

Une fois toutes les mises à jour installés j'ai effectivement une demande pour installer un nouveau noyau hwe, ce type de noyau est prévu pour avoir une compatibilité avec du matériel récent (voilà pourquoi ta souris ne fonctionne pas). Pour ne pas l'installer et pour ne pas qu'elle revienne (cette mise à jour), il suffit de faire clic de droite et de la faire disparaître.

Autrement j'ai regardé le noyau installé sur ma machine, j'ai le 5.0.0-32, le même que toi, mais chez moi il est plus complet (c'est beaucoup plus facile quand on voit les infos de ses propres yeux), pour corriger ça nous allons installer l'image qui manque en tapant dans un terminal cette commande

sudo apt-get install linux-headers-5.0.0-32-generic linux-headers-5.0.0-32

Une fois cette commande passée tu tapes à nouveau dans le terminal ces autres commandes

sudo update-grub

sudo apt update

sudo apt upgrade

sudo apt autoclean

sudo apt clean

sudo apt autoremove

reboot

Une fois ta machine redémarrée. tu tapes à nouveau dans le terminal cette dernière commande

dpkg -l | awk '!/^rc/ && / linux-(c|g|h|i|lo|m|si|t)/{print $1,$2,$3,$4 | "sort -k3V | column -t"}' ; echo -e "\nNoyau courant : $(uname -mr)"

Et tu reviens avec une capture d'écran

 

 

Edited by Tulburite
Link to comment
Guest
This topic is now closed to further replies.
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...